Bug 555904 - ERROR internal error cannot parse QEMU version number in ''
ERROR internal error cannot parse QEMU version number in ''
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
x86_64 Linux
low Severity urgent
: rc
: ---
Assigned To: Naphtali Sprei
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-01-15 16:22 EST by Vasile
Modified: 2013-01-09 17:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 05:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile 2010-01-15 16:22:13 EST
Description of problem:
Red Hat 5.4 Client with KVM trying to install WinXP virtual machine fails with 
ERROR    internal error cannot parse QEMU version number in ''

Version-Release number of selected component (if applicable):
kvm 83-105.el5_4.13

How reproducible:
Try installing a Windows XP fully virtualized guest

Steps to Reproduce:
1. virt-install -n winxp -r 512  --vcpus=1  --os-type=windows --os-variant=winxp -v  -c /root/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso -f /var/lib/libvirt/images/yzlw01.img -s 5 --vnc 
2.
3.
  
Actual results:

[root@yzl01 qemu]# virt-install -n winxp -r 512  --vcpus=1  --os-type=windows --os-variant=winxp -v  -c /root/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso -f /var/lib/libvirt/images/yzlw01.img -s 5 --vnc 
16:19:22.136: debug : virInitialize:290 : register drivers
16:19:22.136: debug : virRegisterDriver:667 : registering Test as driver 0
16:19:22.136: debug : virRegisterNetworkDriver:567 : registering Test as network driver 0
16:19:22.136: debug : virRegisterStorageDriver:598 : registering Test as storage driver 0
16:19:22.136: debug : virRegisterDeviceMonitor:629 : registering Test as device driver 0
16:19:22.137: debug : virRegisterDriver:667 : registering Xen as driver 1
16:19:22.137: debug : virRegisterDriver:667 : registering remote as driver 2
16:19:22.137: debug : virRegisterNetworkDriver:567 : registering remote as network driver 1
16:19:22.137: debug : virRegisterStorageDriver:598 : registering remote as storage driver 1
16:19:22.137: debug : virRegisterDeviceMonitor:629 : registering remote as device driver 1
16:19:22.167: debug : virConnectOpen:1050 : name=(null)
16:19:22.168: debug : do_open:922 : no name, allowing driver auto-select
16:19:22.168: debug : do_open:930 : trying driver 0 (Test) ...
16:19:22.168: debug : do_open:936 : driver 0 Test returned DECLINED
16:19:22.168: debug : do_open:930 : trying driver 1 (Xen) ...
16:19:22.168: debug : do_open:936 : driver 1 Xen returned DECLINED
16:19:22.168: debug : do_open:930 : trying driver 2 (remote) ...
16:19:22.168: debug : remoteOpen:1006 : Auto-probe remote URI
16:19:22.168: debug : doRemoteOpen:513 : proceeding with name = 
16:19:22.168: debug : call:6555 : Doing call 66 (nil)
16:19:22.168: debug : call:6625 : We have the buck 66 0x2ae9555f9010 0x2ae9555f9010
16:19:22.168: debug : processCallRecvLen:6213 : Got length, now need 36 total (32 more)
16:19:22.169: debug : processCalls:6481 : Giving up the buck 66 0x2ae9555f9010 (nil)
16:19:22.169: debug : call:6656 : All done with our call 66 (nil) 0x2ae9555f9010
16:19:22.169: debug : call:6555 : Doing call 1 (nil)
16:19:22.169: debug : call:6625 : We have the buck 1 0x1525a390 0x1525a390
16:19:22.169: debug : processCallRecvLen:6213 : Got length, now need 28 total (24 more)
16:19:22.169: debug : processCalls:6481 : Giving up the buck 1 0x1525a390 (nil)
16:19:22.169: debug : call:6656 : All done with our call 1 (nil) 0x1525a390
16:19:22.169: debug : call:6555 : Doing call 110 (nil)
16:19:22.169: debug : call:6625 : We have the buck 110 0x1525a390 0x1525a390
16:19:22.169: debug : processCallRecvLen:6213 : Got length, now need 48 total (44 more)
16:19:22.170: debug : processCalls:6481 : Giving up the buck 110 0x1525a390 (nil)
16:19:22.170: debug : call:6656 : All done with our call 110 (nil) 0x1525a390
16:19:22.170: debug : doRemoteOpen:805 : Auto-probed URI is qemu:///system
16:19:22.170: debug : doRemoteOpen:824 : Adding Handler for remote events
16:19:22.170: debug : doRemoteOpen:831 : virEventAddHandle failed: No addHandleImpl defined. continuing without events.
16:19:22.170: debug : do_open:936 : driver 2 remote returned SUCCESS
16:19:22.170: debug : do_open:956 : network driver 0 Test returned DECLINED
16:19:22.170: debug : do_open:956 : network driver 1 remote returned SUCCESS
16:19:22.170: debug : do_open:978 : storage driver 0 Test returned DECLINED
16:19:22.170: debug : do_open:978 : storage driver 1 remote returned SUCCESS
16:19:22.170: debug : do_open:999 : node driver 0 Test returned DECLINED
16:19:22.170: debug : do_open:999 : node driver 1 remote returned SUCCESS
16:19:22.170: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.170: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.170: debug : call:6555 : Doing call 7 (nil)
16:19:22.170: debug : call:6625 : We have the buck 7 0x1525a4b0 0x1525a4b0
16:19:22.171: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.171: debug : processCalls:6481 : Giving up the buck 7 0x1525a4b0 (nil)
16:19:22.171: debug : call:6656 : All done with our call 7 (nil) 0x1525a4b0
16:19:22.173: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.173: debug : call:6555 : Doing call 7 (nil)
16:19:22.173: debug : call:6625 : We have the buck 7 0x15262670 0x15262670
16:19:22.173: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.173: debug : processCalls:6481 : Giving up the buck 7 0x15262670 (nil)
16:19:22.173: debug : call:6656 : All done with our call 7 (nil) 0x15262670
16:19:22.174: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.174: debug : call:6555 : Doing call 7 (nil)
16:19:22.174: debug : call:6625 : We have the buck 7 0x15262670 0x15262670
16:19:22.175: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.175: debug : processCalls:6481 : Giving up the buck 7 0x15262670 (nil)
16:19:22.175: debug : call:6656 : All done with our call 7 (nil) 0x15262670
16:19:22.176: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.176: debug : call:6555 : Doing call 7 (nil)
16:19:22.176: debug : call:6625 : We have the buck 7 0x15262670 0x15262670
16:19:22.176: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.176: debug : processCalls:6481 : Giving up the buck 7 0x15262670 (nil)
16:19:22.176: debug : call:6656 : All done with our call 7 (nil) 0x15262670
16:19:22.177: debug : virDomainLookupByName:1718 : conn=0x15257830, name=winxp
16:19:22.177: debug : call:6555 : Doing call 23 (nil)
16:19:22.177: debug : call:6625 : We have the buck 23 0x15262670 0x15262670
16:19:22.178: debug : processCallRecvLen:6213 : Got length, now need 196 total (192 more)
16:19:22.178: debug : processCalls:6481 : Giving up the buck 23 0x15262670 (nil)
16:19:22.178: debug : call:6656 : All done with our call 23 (nil) 0x15262670
16:19:22.178: debug : virConnectGetMaxVcpus:1365 : conn=0x15257830, type=qemu
16:19:22.179: debug : call:6555 : Doing call 5 (nil)
16:19:22.179: debug : call:6625 : We have the buck 5 0x15262670 0x15262670
16:19:22.179: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.179: debug : processCalls:6481 : Giving up the buck 5 0x15262670 (nil)
16:19:22.179: debug : call:6656 : All done with our call 5 (nil) 0x15262670
16:19:22.179: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.179: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.180: debug : call:6555 : Doing call 7 (nil)
16:19:22.180: debug : call:6625 : We have the buck 7 0x15262670 0x15262670
16:19:22.180: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.180: debug : processCalls:6481 : Giving up the buck 7 0x15262670 (nil)
16:19:22.180: debug : call:6656 : All done with our call 7 (nil) 0x15262670
16:19:22.181: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.182: debug : call:6555 : Doing call 71 (nil)
16:19:22.182: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.182: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.182: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.182: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.182: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x15156bc0, maxnames=1
16:19:22.182: debug : call:6555 : Doing call 72 (nil)
16:19:22.182: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.182: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.182: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.182: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.182: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.182: debug : call:6555 : Doing call 71 (nil)
16:19:22.182: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.182: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.183: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.183: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.183: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x1523b7b0, maxnames=1
16:19:22.183: debug : call:6555 : Doing call 72 (nil)
16:19:22.183: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.183: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.183: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.183: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.183: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.183: debug : call:6555 : Doing call 71 (nil)
16:19:22.183: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.183: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.183: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.183: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.183: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x1525d490, maxnames=1
16:19:22.183: debug : call:6555 : Doing call 72 (nil)
16:19:22.183: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.183: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.184: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.184: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.184: debug : virConnectNumOfDefinedStoragePools:5424 : conn=0x15257830
16:19:22.184: debug : call:6555 : Doing call 73 (nil)
16:19:22.184: debug : call:6625 : We have the buck 73 0x15262af0 0x15262af0
16:19:22.184: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.184: debug : processCalls:6481 : Giving up the buck 73 0x15262af0 (nil)
16:19:22.184: debug : call:6656 : All done with our call 73 (nil) 0x15262af0
16:19:22.184: debug : virStoragePoolLookupByName:5573 : conn=0x15257830, name=default
16:19:22.184: debug : call:6555 : Doing call 84 (nil)
16:19:22.184: debug : call:6625 : We have the buck 84 0x15262af0 0x15262af0
16:19:22.184: debug : processCallRecvLen:6213 : Got length, now need 56 total (52 more)
16:19:22.184: debug : processCalls:6481 : Giving up the buck 84 0x15262af0 (nil)
16:19:22.184: debug : call:6656 : All done with our call 84 (nil) 0x15262af0
16:19:22.184: debug : virStoragePoolGetXMLDesc:6320 : pool=0x15244c30, flags=0
16:19:22.184: debug : call:6555 : Doing call 88 (nil)
16:19:22.185: debug : call:6625 : We have the buck 88 0x15262af0 0x15262af0
16:19:22.185: debug : processCallRecvLen:6213 : Got length, now need 440 total (436 more)
16:19:22.185: debug : processCalls:6481 : Giving up the buck 88 0x15262af0 (nil)
16:19:22.185: debug : call:6656 : All done with our call 88 (nil) 0x15262af0
16:19:22.185: debug : virStoragePoolGetInfo:6270 : pool=0x15244c30, info=0x7fffe246d8a0
16:19:22.185: debug : call:6555 : Doing call 87 (nil)
16:19:22.185: debug : call:6625 : We have the buck 87 0x15262af0 0x15262af0
16:19:22.185: debug : processCallRecvLen:6213 : Got length, now need 56 total (52 more)
16:19:22.185: debug : processCalls:6481 : Giving up the buck 87 0x15262af0 (nil)
16:19:22.185: debug : call:6656 : All done with our call 87 (nil) 0x15262af0
16:19:22.185: debug : virStorageVolLookupByPath:6661 : conn=0x15257830, path=/var/lib/libvirt/images/yzlw01.img
16:19:22.185: debug : call:6555 : Doing call 97 (nil)
16:19:22.185: debug : call:6625 : We have the buck 97 0x15262af0 0x15262af0
16:19:22.186: debug : processCallRecvLen:6213 : Got length, now need 96 total (92 more)
16:19:22.186: debug : processCalls:6481 : Giving up the buck 97 0x15262af0 (nil)
16:19:22.186: debug : call:6656 : All done with our call 97 (nil) 0x15262af0
16:19:22.186: debug : virStoragePoolFree:6062 : pool=0x15244c30
16:19:22.186: debug : virUnrefStoragePool:609 : unref pool 0x15244c30 default 1
16:19:22.186: debug : virReleaseStoragePool:568 : release pool 0x15244c30 default
16:19:22.186: debug : virReleaseStoragePool:579 : unref connection 0x15257830 3
16:19:22.186: debug : virStorageVolGetPath:7003 : vol=0x152609c0
16:19:22.186: debug : call:6555 : Doing call 100 (nil)
16:19:22.186: debug : call:6625 : We have the buck 100 0x15262af0 0x15262af0
16:19:22.186: debug : processCallRecvLen:6213 : Got length, now need 68 total (64 more)
16:19:22.186: debug : processCalls:6481 : Giving up the buck 100 0x15262af0 (nil)
16:19:22.186: debug : call:6656 : All done with our call 100 (nil) 0x15262af0
16:19:22.186: debug : virStorageVolGetXMLDesc:6955 : vol=0x152609c0, flags=0
16:19:22.186: debug : call:6555 : Doing call 99 (nil)
16:19:22.186: debug : call:6625 : We have the buck 99 0x15262af0 0x15262af0
16:19:22.187: debug : processCallRecvLen:6213 : Got length, now need 472 total (468 more)
16:19:22.187: debug : processCalls:6481 : Giving up the buck 99 0x15262af0 (nil)
16:19:22.187: debug : call:6656 : All done with our call 99 (nil) 0x15262af0
16:19:22.187: debug : virStorageVolGetInfo:6906 : vol=0x152609c0, info=0x7fffe246d8b0
16:19:22.187: debug : call:6555 : Doing call 98 (nil)
16:19:22.187: debug : call:6625 : We have the buck 98 0x15262af0 0x15262af0
16:19:22.188: debug : processCallRecvLen:6213 : Got length, now need 48 total (44 more)
16:19:22.188: debug : processCalls:6481 : Giving up the buck 98 0x15262af0 (nil)
16:19:22.188: debug : call:6656 : All done with our call 98 (nil) 0x15262af0
16:19:22.188: debug : virConnectListDomains:1401 : conn=0x15257830, ids=0x7fffe246d690, maxids=500
16:19:22.188: debug : call:6555 : Doing call 37 (nil)
16:19:22.188: debug : call:6625 : We have the buck 37 0x15262af0 0x15262af0
16:19:22.188: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.188: debug : processCalls:6481 : Giving up the buck 37 0x15262af0 (nil)
16:19:22.188: debug : call:6656 : All done with our call 37 (nil) 0x15262af0
16:19:22.188: debug : virConnectNumOfDefinedDomains:3771 : conn=0x15257830
16:19:22.188: debug : call:6555 : Doing call 25 (nil)
16:19:22.188: debug : call:6625 : We have the buck 25 0x15262af0 0x15262af0
16:19:22.189: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.189: debug : processCalls:6481 : Giving up the buck 25 0x15262af0 (nil)
16:19:22.189: debug : call:6656 : All done with our call 25 (nil) 0x15262af0
16:19:22.189: debug : virStorageVolGetPath:7003 : vol=0x152609c0
16:19:22.189: debug : call:6555 : Doing call 100 (nil)
16:19:22.189: debug : call:6625 : We have the buck 100 0x15262af0 0x15262af0
16:19:22.189: debug : processCallRecvLen:6213 : Got length, now need 68 total (64 more)
16:19:22.189: debug : processCalls:6481 : Giving up the buck 100 0x15262af0 (nil)
16:19:22.189: debug : call:6656 : All done with our call 100 (nil) 0x15262af0
16:19:22.189: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.192: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.192: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.192: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.192: debug : call:6555 : Doing call 7 (nil)
16:19:22.192: debug : call:6625 : We have the buck 7 0x15262af0 0x15262af0
16:19:22.192: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.192: debug : processCalls:6481 : Giving up the buck 7 0x15262af0 (nil)
16:19:22.192: debug : call:6656 : All done with our call 7 (nil) 0x15262af0
16:19:22.195: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.195: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.195: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.195: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.195: debug : call:6555 : Doing call 7 (nil)
16:19:22.195: debug : call:6625 : We have the buck 7 0x15262af0 0x15262af0
16:19:22.195: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.195: debug : processCalls:6481 : Giving up the buck 7 0x15262af0 (nil)
16:19:22.195: debug : call:6656 : All done with our call 7 (nil) 0x15262af0
16:19:22.196: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.196: debug : call:6555 : Doing call 71 (nil)
16:19:22.196: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.196: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.196: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.196: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.196: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x151f3cc0, maxnames=1
16:19:22.197: debug : call:6555 : Doing call 72 (nil)
16:19:22.197: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.197: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.197: debug : call:6555 : Doing call 71 (nil)
16:19:22.197: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.197: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x1520f7a0, maxnames=1
16:19:22.197: debug : call:6555 : Doing call 72 (nil)
16:19:22.197: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.197: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.197: debug : call:6555 : Doing call 71 (nil)
16:19:22.197: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.197: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x15181160, maxnames=1
16:19:22.197: debug : call:6555 : Doing call 72 (nil)
16:19:22.197: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.197: debug : virConnectNumOfDefinedStoragePools:5424 : conn=0x15257830
16:19:22.197: debug : call:6555 : Doing call 73 (nil)
16:19:22.197: debug : call:6625 : We have the buck 73 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 73 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 73 (nil) 0x15262af0
16:19:22.197: debug : virStoragePoolLookupByName:5573 : conn=0x15257830, name=default
16:19:22.197: debug : call:6555 : Doing call 84 (nil)
16:19:22.197: debug : call:6625 : We have the buck 84 0x15262af0 0x15262af0
16:19:22.197: debug : processCallRecvLen:6213 : Got length, now need 56 total (52 more)
16:19:22.197: debug : processCalls:6481 : Giving up the buck 84 0x15262af0 (nil)
16:19:22.197: debug : call:6656 : All done with our call 84 (nil) 0x15262af0
16:19:22.197: debug : virStoragePoolGetXMLDesc:6320 : pool=0x15231890, flags=0
16:19:22.197: debug : call:6555 : Doing call 88 (nil)
16:19:22.197: debug : call:6625 : We have the buck 88 0x15262af0 0x15262af0
16:19:22.198: debug : processCallRecvLen:6213 : Got length, now need 440 total (436 more)
16:19:22.198: debug : processCalls:6481 : Giving up the buck 88 0x15262af0 (nil)
16:19:22.198: debug : call:6656 : All done with our call 88 (nil) 0x15262af0
16:19:22.198: debug : virStoragePoolFree:6062 : pool=0x15231890
16:19:22.198: debug : virUnrefStoragePool:609 : unref pool 0x15231890 default 1
16:19:22.198: debug : virReleaseStoragePool:568 : release pool 0x15231890 default
16:19:22.198: debug : virReleaseStoragePool:579 : unref connection 0x15257830 3


Starting install...
16:19:22.199: debug : virDomainLookupByUUIDString:1664 : conn=0x15257830, uuidstr=5b9f91c9-01e5-0a21-77d0-06c3f1d1e48a
16:19:22.199: debug : virDomainLookupByUUID:1618 : conn=0x15257830, uuid=[���
!w����
16:19:22.199: debug : call:6555 : Doing call 24 (nil)
16:19:22.199: debug : call:6625 : We have the buck 24 0x15262af0 0x15262af0
16:19:22.199: debug : processCallRecvLen:6213 : Got length, now need 220 total (216 more)
16:19:22.199: debug : processCalls:6481 : Giving up the buck 24 0x15262af0 (nil)
16:19:22.199: debug : call:6656 : All done with our call 24 (nil) 0x15262af0
16:19:22.199: debug : virConnectGetURI:1328 : conn=0x15257830
16:19:22.199: debug : virConnectGetCapabilities:3146 : conn=0x15257830
16:19:22.199: debug : call:6555 : Doing call 7 (nil)
16:19:22.199: debug : call:6625 : We have the buck 7 0x15262af0 0x15262af0
16:19:22.200: debug : processCallRecvLen:6213 : Got length, now need 1300 total (1296 more)
16:19:22.200: debug : processCalls:6481 : Giving up the buck 7 0x15262af0 (nil)
16:19:22.200: debug : call:6656 : All done with our call 7 (nil) 0x15262af0
16:19:22.201: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.201: debug : call:6555 : Doing call 71 (nil)
16:19:22.201: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.201: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x152100b0, maxnames=1
16:19:22.201: debug : call:6555 : Doing call 72 (nil)
16:19:22.201: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.201: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.201: debug : call:6555 : Doing call 71 (nil)
16:19:22.201: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.201: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x15181160, maxnames=1
16:19:22.201: debug : call:6555 : Doing call 72 (nil)
16:19:22.201: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.201: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.201: debug : call:6555 : Doing call 71 (nil)
16:19:22.201: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.201: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x152100b0, maxnames=1
16:19:22.201: debug : call:6555 : Doing call 72 (nil)
16:19:22.201: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.201: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.201: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.201: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.201: debug : virConnectNumOfDefinedStoragePools:5424 : conn=0x15257830
16:19:22.201: debug : call:6555 : Doing call 73 (nil)
16:19:22.202: debug : call:6625 : We have the buck 73 0x15262af0 0x15262af0
16:19:22.202: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.202: debug : processCalls:6481 : Giving up the buck 73 0x15262af0 (nil)
16:19:22.202: debug : call:6656 : All done with our call 73 (nil) 0x15262af0
16:19:22.202: debug : virStoragePoolLookupByName:5573 : conn=0x15257830, name=default
16:19:22.202: debug : call:6555 : Doing call 84 (nil)
16:19:22.202: debug : call:6625 : We have the buck 84 0x15262af0 0x15262af0
16:19:22.202: debug : processCallRecvLen:6213 : Got length, now need 56 total (52 more)
16:19:22.202: debug : processCalls:6481 : Giving up the buck 84 0x15262af0 (nil)
16:19:22.202: debug : call:6656 : All done with our call 84 (nil) 0x15262af0
16:19:22.202: debug : virStoragePoolGetXMLDesc:6320 : pool=0x15231890, flags=0
16:19:22.202: debug : call:6555 : Doing call 88 (nil)
16:19:22.202: debug : call:6625 : We have the buck 88 0x15262af0 0x15262af0
16:19:22.202: debug : processCallRecvLen:6213 : Got length, now need 440 total (436 more)
16:19:22.202: debug : processCalls:6481 : Giving up the buck 88 0x15262af0 (nil)
16:19:22.202: debug : call:6656 : All done with our call 88 (nil) 0x15262af0
16:19:22.202: debug : virStoragePoolFree:6062 : pool=0x15231890
16:19:22.202: debug : virUnrefStoragePool:609 : unref pool 0x15231890 default 1
16:19:22.202: debug : virReleaseStoragePool:568 : release pool 0x15231890 default
16:19:22.202: debug : virReleaseStoragePool:579 : unref connection 0x15257830 3
16:19:22.202: debug : virDomainLookupByName:1718 : conn=0x15257830, name=winxp
16:19:22.202: debug : call:6555 : Doing call 23 (nil)
16:19:22.202: debug : call:6625 : We have the buck 23 0x15262af0 0x15262af0
16:19:22.203: debug : processCallRecvLen:6213 : Got length, now need 196 total (192 more)
16:19:22.203: debug : processCalls:6481 : Giving up the buck 23 0x15262af0 (nil)
16:19:22.203: debug : call:6656 : All done with our call 23 (nil) 0x15262af0
16:19:22.203: debug : virConnectGetType:1209 : conn=0x15257830
16:19:22.203: debug : call:6555 : Doing call 3 (nil)
16:19:22.203: debug : call:6625 : We have the buck 3 0x15262af0 0x15262af0
16:19:22.203: debug : processCallRecvLen:6213 : Got length, now need 36 total (32 more)
16:19:22.203: debug : processCalls:6481 : Giving up the buck 3 0x15262af0 (nil)
16:19:22.203: debug : call:6656 : All done with our call 3 (nil) 0x15262af0
16:19:22.203: debug : virConnectListDomains:1401 : conn=0x15257830, ids=0x7fffe246d720, maxids=500
16:19:22.203: debug : call:6555 : Doing call 37 (nil)
16:19:22.203: debug : call:6625 : We have the buck 37 0x15262af0 0x15262af0
16:19:22.203: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.203: debug : processCalls:6481 : Giving up the buck 37 0x15262af0 (nil)
16:19:22.203: debug : call:6656 : All done with our call 37 (nil) 0x15262af0
16:19:22.203: debug : virConnectNumOfDefinedDomains:3771 : conn=0x15257830
16:19:22.203: debug : call:6555 : Doing call 25 (nil)
16:19:22.203: debug : call:6625 : We have the buck 25 0x15262af0 0x15262af0
16:19:22.203: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.203: debug : processCalls:6481 : Giving up the buck 25 0x15262af0 (nil)
16:19:22.203: debug : call:6656 : All done with our call 25 (nil) 0x15262af0
16:19:22.207: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.207: debug : call:6555 : Doing call 71 (nil)
16:19:22.207: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.207: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.207: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.207: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.207: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x15181160, maxnames=1
16:19:22.207: debug : call:6555 : Doing call 72 (nil)
16:19:22.207: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.207: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.207: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.207: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.207: debug : virStorageVolGetPath:7003 : vol=0x152609c0
16:19:22.207: debug : call:6555 : Doing call 100 (nil)
16:19:22.207: debug : call:6625 : We have the buck 100 0x15262af0 0x15262af0
16:19:22.207: debug : processCallRecvLen:6213 : Got length, now need 68 total (64 more)
16:19:22.207: debug : processCalls:6481 : Giving up the buck 100 0x15262af0 (nil)
16:19:22.207: debug : call:6656 : All done with our call 100 (nil) 0x15262af0
16:19:22.207: debug : virStorageVolGetXMLDesc:6955 : vol=0x152609c0, flags=0
16:19:22.207: debug : call:6555 : Doing call 99 (nil)
16:19:22.207: debug : call:6625 : We have the buck 99 0x15262af0 0x15262af0
16:19:22.207: debug : processCallRecvLen:6213 : Got length, now need 472 total (468 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 99 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 99 (nil) 0x15262af0
16:19:22.208: debug : virStorageVolGetInfo:6906 : vol=0x152609c0, info=0x7fffe246cc00
16:19:22.208: debug : call:6555 : Doing call 98 (nil)
16:19:22.208: debug : call:6625 : We have the buck 98 0x15262af0 0x15262af0
16:19:22.208: debug : processCallRecvLen:6213 : Got length, now need 48 total (44 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 98 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 98 (nil) 0x15262af0
16:19:22.208: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.208: debug : call:6555 : Doing call 71 (nil)
16:19:22.208: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.208: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.208: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x152100b0, maxnames=1
16:19:22.208: debug : call:6555 : Doing call 72 (nil)
16:19:22.208: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.208: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.208: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.208: debug : call:6555 : Doing call 71 (nil)
16:19:22.208: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.208: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.208: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x15181160, maxnames=1
16:19:22.208: debug : call:6555 : Doing call 72 (nil)
16:19:22.208: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.208: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.208: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.208: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.208: debug : virConnectNumOfStoragePools:5340 : conn=0x15257830
16:19:22.208: debug : call:6555 : Doing call 71 (nil)
16:19:22.209: debug : call:6625 : We have the buck 71 0x15262af0 0x15262af0
16:19:22.209: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.209: debug : processCalls:6481 : Giving up the buck 71 0x15262af0 (nil)
16:19:22.209: debug : call:6656 : All done with our call 71 (nil) 0x15262af0
16:19:22.209: debug : virConnectListStoragePools:5382 : conn=0x15257830, names=0x152100b0, maxnames=1
16:19:22.209: debug : call:6555 : Doing call 72 (nil)
16:19:22.209: debug : call:6625 : We have the buck 72 0x15262af0 0x15262af0
16:19:22.209: debug : processCallRecvLen:6213 : Got length, now need 44 total (40 more)
16:19:22.209: debug : processCalls:6481 : Giving up the buck 72 0x15262af0 (nil)
16:19:22.209: debug : call:6656 : All done with our call 72 (nil) 0x15262af0
16:19:22.209: debug : virConnectNumOfDefinedStoragePools:5424 : conn=0x15257830
16:19:22.209: debug : call:6555 : Doing call 73 (nil)
16:19:22.209: debug : call:6625 : We have the buck 73 0x15262af0 0x15262af0
16:19:22.209: debug : processCallRecvLen:6213 : Got length, now need 32 total (28 more)
16:19:22.209: debug : processCalls:6481 : Giving up the buck 73 0x15262af0 (nil)
16:19:22.209: debug : call:6656 : All done with our call 73 (nil) 0x15262af0
16:19:22.209: debug : virStoragePoolLookupByName:5573 : conn=0x15257830, name=default
16:19:22.209: debug : call:6555 : Doing call 84 (nil)
16:19:22.209: debug : call:6625 : We have the buck 84 0x15262af0 0x15262af0
16:19:22.209: debug : processCallRecvLen:6213 : Got length, now need 56 total (52 more)
16:19:22.209: debug : processCalls:6481 : Giving up the buck 84 0x15262af0 (nil)
16:19:22.209: debug : call:6656 : All done with our call 84 (nil) 0x15262af0
16:19:22.209: debug : virStoragePoolGetXMLDesc:6320 : pool=0x15260950, flags=0
16:19:22.209: debug : call:6555 : Doing call 88 (nil)
16:19:22.209: debug : call:6625 : We have the buck 88 0x15262af0 0x15262af0
16:19:22.209: debug : processCallRecvLen:6213 : Got length, now need 440 total (436 more)
16:19:22.209: debug : processCalls:6481 : Giving up the buck 88 0x15262af0 (nil)
16:19:22.209: debug : call:6656 : All done with our call 88 (nil) 0x15262af0
16:19:22.209: debug : virStoragePoolFree:6062 : pool=0x15260950
16:19:22.209: debug : virUnrefStoragePool:609 : unref pool 0x15260950 default 1
16:19:22.209: debug : virReleaseStoragePool:568 : release pool 0x15260950 default
16:19:22.209: debug : virReleaseStoragePool:579 : unref connection 0x15257830 3
16:19:22.209: debug : virStorageVolGetPath:7003 : vol=0x152609c0
16:19:22.209: debug : call:6555 : Doing call 100 (nil)
16:19:22.209: debug : call:6625 : We have the buck 100 0x15262af0 0x15262af0
16:19:22.210: debug : processCallRecvLen:6213 : Got length, now need 68 total (64 more)
16:19:22.210: debug : processCalls:6481 : Giving up the buck 100 0x15262af0 (nil)
16:19:22.210: debug : call:6656 : All done with our call 100 (nil) 0x15262af0
16:19:22.210: debug : virDomainCreateXML:1510 : conn=0x15257830, xmlDesc=<domain type='qemu'>
  <name>winxp</name>
  <currentMemory>524288</currentMemory>
  <memory>524288</memory>
  <uuid>5b9f91c9-01e5-0a21-77d0-06c3f1d1e48a</uuid>
  <os>
    <type arch='x86_64'>hvm</type>
    <boot dev='cdrom'/>
  </os>
  <features>
    <pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <console type='pty'/>
    <disk type='file' device='disk'>
      <source file='/var/lib/libvirt/images/yzlw01.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='cdrom'>
      <source file='/root/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='bridge'>
      <source bridge='br0'/>
      <mac address='54:52:00:18:73:24'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='vnc' port='-1' keymap='en-us'/>
  </devices>
</domain>
, flags=0
16:19:22.210: debug : call:6555 : Doing call 10 (nil)
16:19:22.210: debug : call:6625 : We have the buck 10 0x15262af0 0x15262af0
16:19:22.212: debug : processCallRecvLen:6213 : Got length, now need 200 total (196 more)
16:19:22.212: debug : processCalls:6481 : Giving up the buck 10 0x15262af0 (nil)
16:19:22.212: debug : call:6656 : All done with our call 10 (nil) 0x15262af0
internal error cannot parse QEMU version number in ''
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start winxp'; otherwise, please
 restart your installation.
ERROR    internal error cannot parse QEMU version number in ''
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 861, in ?
    main()
  File "/usr/sbin/virt-install", line 759, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 814, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error cannot parse QEMU version number in ''
16:19:22.247: debug : virStorageVolFree:6846 : vol=0x152609c0
16:19:22.247: debug : virUnrefStorageVol:747 : unref vol 0x152609c0 yzlw01.img 1
16:19:22.247: debug : virReleaseStorageVol:705 : release vol 0x152609c0 yzlw01.img
16:19:22.247: debug : virReleaseStorageVol:717 : unref connection 0x15257830 2
16:19:22.247: debug : virConnectClose:1118 : conn=0x15257830
16:19:22.247: debug : call:6555 : Doing call 2 (nil)
16:19:22.247: debug : call:6625 : We have the buck 2 0x152a7c40 0x152a7c40
16:19:22.247: debug : processCallRecvLen:6213 : Got length, now need 28 total (24 more)
16:19:22.247: debug : processCalls:6481 : Giving up the buck 2 0x152a7c40 (nil)
16:19:22.247: debug : call:6656 : All done with our call 2 (nil) 0x152a7c40
16:19:22.247: debug : virUnrefConnect:210 : unref connection 0x15257830 1
16:19:22.247: debug : virReleaseConnect:171 : release connection 0x15257830
[root@yzl01 qemu]# 


Expected results:
To work and not error out with "internal error cannot parse QEMU version number in ''"

Additional info:
Comment 1 Stuart James 2010-01-16 13:48:56 EST
This does not just affect Windows XP, it is reproduce-able installing RHEL Server and Fedora 12.

virt-install -n server -r 512 --vcpus=1 --os-type=linux  --disk path=/dev/VolGroup00/server1 -c /tmp/RHEL5_x86_64_SERVER/  -d
Sat, 16 Jan 2010 18:45:27 DEBUG    Requesting libvirt URI default
Sat, 16 Jan 2010 18:45:27 DEBUG    Received libvirt URI 'qemu:///system'
Sat, 16 Jan 2010 18:45:27 DEBUG    Requesting virt method 'default'
Sat, 16 Jan 2010 18:45:27 DEBUG    Received virt method 'hvm'
Sat, 16 Jan 2010 18:45:27 DEBUG    Hypervisor name is 'qemu'
Sat, 16 Jan 2010 18:45:27 DEBUG    parse_disk: returning ('/dev/VolGroup00/server1', None, None, 'disk', None, False, False, None, True, None)
Sat, 16 Jan 2010 18:45:27 DEBUG    Setting size for existing storage to '10.0'
Sat, 16 Jan 2010 18:45:27 DEBUG    Detected storage as type 'block'
Sat, 16 Jan 2010 18:45:27 DEBUG    Setting size for existing storage to '10.0'
Sat, 16 Jan 2010 18:45:27 DEBUG    Detected storage as type 'block'
Sat, 16 Jan 2010 18:45:27 DEBUG    Setting size for existing storage to '10.0'
Sat, 16 Jan 2010 18:45:27 DEBUG    Detected storage as type 'block'
Sat, 16 Jan 2010 18:45:27 DEBUG    DISPLAY is set: graphics defaulting to VNC.
Sat, 16 Jan 2010 18:45:27 DEBUG    DistroInstaller location is a network source.


Starting install...
Sat, 16 Jan 2010 18:45:27 DEBUG    Attempting to detect distro:
Sat, 16 Jan 2010 18:45:27 DEBUG    Fetching URI: /tmp/RHEL5_x86_64_SERVER/.treeinfo
Sat, 16 Jan 2010 18:45:27 DEBUG    Saved file to /var/lib/libvirt/boot/virtinst-.treeinfo.JEGjhP
Retrieving file .treeinfo...                                                                                                          |  442 B     00:00     
Sat, 16 Jan 2010 18:45:27 DEBUG    Fetching URI: /tmp/RHEL5_x86_64_SERVER/images/boot.iso
Sat, 16 Jan 2010 18:45:27 DEBUG    Saved file to /var/lib/libvirt/boot/virtinst-boot.iso.YZXkSD
Retrieving file boot.iso...                                                                                                           | 9.4 MB     00:00     
Sat, 16 Jan 2010 18:45:27 DEBUG    Setting size for existing storage to '0.00918769836426'
Sat, 16 Jan 2010 18:45:27 DEBUG    Detected storage as type 'file'
Sat, 16 Jan 2010 18:45:27 DEBUG    Creating guest from:
<domain type='qemu'>
  <name>server</name>
  <currentMemory>524288</currentMemory>
  <memory>524288</memory>
  <uuid>06c09aed-1219-269e-d25a-0212671d3bb7</uuid>
  <os>
    <type arch='x86_64'>hvm</type>
    <boot dev='cdrom'/>
  </os>
  <features>
    <acpi/><apic/><pae/>
  </features>
  <clock offset="utc"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <console type='pty'/>
    <disk type='block' device='disk'>
      <source dev='/dev/VolGroup00/server1'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='cdrom'>
      <source file='/var/lib/libvirt/boot/virtinst-boot.iso.YZXkSD'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='54:52:00:09:d3:d8'/>
    </interface>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' keymap='en-gb'/>
  </devices>
</domain>

Sat, 16 Jan 2010 18:45:27 DEBUG    Removing /var/lib/libvirt/boot/virtinst-boot.iso.YZXkSD
internal error cannot parse QEMU version number in ''
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start server'; otherwise, please
 restart your installation.
Sat, 16 Jan 2010 18:45:27 ERROR    internal error cannot parse QEMU version number in ''
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 861, in ?
    main()
  File "/usr/sbin/virt-install", line 759, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 814, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error cannot parse QEMU version number in ''


redhat-release-5Client-5.4.0.3
kernel-2.6.18-164.10.1.el5
kvm-qemu-img-83-105.el5_4.13
kvm-83-105.el5_4.13
kmod-kvm-83-105.el5_4.13
Comment 2 Stuart James 2010-02-18 10:28:37 EST
Hi,

Please see a fix from Centos, it is missing a dependency.

http://bugs.centos.org/view.php?id=4167
Comment 3 Vasile 2010-02-18 11:37:39 EST
Thanks:
Installed:
yum install -y qspice-libs

It now works thanks
Comment 4 Naphtali Sprei 2010-03-01 10:06:31 EST
The missing dependency added by Eduardo,
as a fix for BZ https://bugzilla.redhat.com/show_bug.cgi?id=555657 (comment #4), so for RHEL 5.5 and on it's fixed.

Note You need to log in before you can comment on or make changes to this bug.